# █▓▒░ 𝙻𝙰𝚉𝚈𝚂𝙲𝙰𝙽 ░▒▓█
> **[𝚂𝚈𝚂𝚃𝙴𝙼::𝚁𝙴𝙰𝙳𝙾𝚄𝚃]** 𝚅𝙴𝚁𝚂𝙸𝙾𝙽 `v0.1.8` | 𝚂𝚃𝙰𝚃𝚄𝚂: `OPERATIONAL`

```
██      █████   ███   ██     ███   ██████    █████   ██    ██
██      ██  ██  ██ ██  ██    ██ ██  ██  ██  ██ ██   ██
██      ██  ██  ██████ ██    ██  █████   █████   ██  ██ 
██      ██  ██  ██ ██  ██    ██    ██    ██  ██  ██ ██ 
███████ █████   ██  ██  █████  ██████ ██   ██  ██   ██
```

> **Created by [TheLazyIndianTechie](https://github.com/TheLazyIndianTechie)**<br>
> **For the lazy developer who still wants to look cool while being lazy.**

## ▓▒░ NEURAL INTERFACE ░▒▓

`LAZYSCAN` is an advanced neural directory scanning system that infiltrates your file structure with minimal effort. When your digital realm is overrun with data fragments and you're too lazy to manually identify the culprits, `LAZYSCAN` deploys a rapid cybernetic analysis to identify and expose the entities consuming your precious disk resources.

🌐 **SYSTEM REQUIREMENTS**: Human with functioning visual cortex and access to terminal interface.

## ▓▒░ CORE SYSTEM ABILITIES ░▒▓

░ **NEURAL SCAN ENGINE** - Rapidly infiltrates file structures with multi-threaded efficiency
▒ **KNIGHT RIDER ANIMATION** - Visually pleasing scan progress with retrofuturistic oscillation
▓ **CYBERPUNK COLOR OUTPUT** - Full neon terminal palette in cyan/magenta/yellow for enhanced data visualization
█ **INSTANT DATA ACQUISITION** - Locates digital hoarders in your system without breaking a sweat
▓ **LAZY-OPTIMIZED ALGORITHMS** - Designed for maximum results with minimal human effort
▒ **INTERACTIVE MODE** - For operators too lazy to type full directory paths
░ **HUMAN-READABLE OUTPUT** - Converts raw binary sizes to understandable units for inferior human brains

## ▓▒░ SYSTEM INSTALLATION ░▒▓

```bash
# Initiate neural link installation
$ pip install .

# Verify successful neural integration
$ lazyscan --version
```

**[!] COMPATIBILITY NOTICE**: Best experienced in terminals with ANSI color support. Recommended interfaces include iTerm2, Konsole, or Windows Terminal for optimal neural-visual feedback.

## ▓▒░ OPERATIONAL COMMANDS ░▒▓

```text
$ lazyscan [-n TOP] [-w WIDTH] [-i] [--no-logo] [path]
```

**[COMMAND OPTIONS]:**
█ `-n, --top` : Maximum target files to expose (default: 20)
▓ `-w, --width` : Visual data allocation bar width (default: 40)
▒ `-i, --interactive` : Enable neural directory selection interface
░ `--no-logo` : Disable startup visual identifier (not recommended)
█ `path` : Target data sector for infiltration (default: current directory)

### 💻 COMMAND EXECUTION EXAMPLES

```bash
# Maximum laziness protocol
$ lazyscan --interactive

# Targeted extraction with custom visualization parameters
$ lazyscan -n 15 -w 60 ~/Downloads

# Stealth mode - quick scan of current sector
$ lazyscan
```

## ▓▒░ VISUAL OUTPUT SAMPLE ░▒▓

```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃ TARGET ACQUIRED: TOP 20 SPACE HOGS IDENTIFIED ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛

┌────────────────────────────────────────────────────────┐
│ # │ SIZE ALLOCATION                  │ VOLUME   │ LOCATION PATH             │
├────────────────────────────────────────────────────────┤
│ 1 │ ████████████████████████████·····│  1.2 GB  │ .../massive_data_dump.iso │
│ 2 │ ██████████████··················│ 694.3 MB │ .../forgotten_backup.zip  │
└────────────────────────────────────────────────────────┘
```

## ▓▒░ SYSTEM STATUS MESSAGES ░▒▓

During neural scanning operations, `LAZYSCAN` provides comfort to human operators with status updates:

📡 `Converting caffeine into code...`
📡 `Calculating how many cat videos you have...`
📡 `Finding where all those 'I'll sort this later' files went...`
📡 `Locating your digital hoarding evidence...`

## ▓▒░ WHY USE NEURAL SCANNING? ░▒▓

In a world overrun with digital clutter, only the laziest survive. `LAZYSCAN` represents the perfect fusion of cybernetic efficiency and human laziness. Why waste precious calories navigating complex GUI tools when you can deploy a cutting-edge neural scan from your terminal with a single command?

Your digital realm deserves the best analysis tools - even if you're too lazy to build them yourself!

---

**[END OF TRANSMISSION]**
